<%
Sub GetHelp
   GenerateDisplayHeader "How to set up product records"
   GenerateDisplayBodyHeader
%>
<span name='help_name' id='help_name'><p><strong>Name: </strong>Item name that appears in the cart. This is a required field.</p></span>
<span name='help_productcode' id='help_productcode'><p><strong>Product Code: </strong>Code you wish to further identify with this product such as the UPC code or SKU. </p></span>
<span name='help_shortdesc' id='help_shortdesc'><p><strong>Short Description: </strong>The description of the item. It can be any length and can include HTML and plain text.</p></span>
<span name='help_longdesc' id='help_longdesc'><p><strong>Long Description: </strong>An extended description of the item. It can be any length and can include HTML and plain text.</p></span>
<span name='help_keywords' id='help_keywords'><p><strong>Keywords: </strong>Keywords to be used for searching. </p></span>
<span name='help_iamge' id='help_iamge'><p><strong>Image: </strong>You can either enter in the path for your image, or you can use the image upload feature by clicking the Upload button. If you have already uploaded an image, you can view it by clicking the View link. Recommended size for thumbnail is 100px * 100px.</p></span>
<span name='help_largeimage' id='help_largeimage'><P><strong>Large Image: </strong>You can either enter in the path for your image, or you can use the image upload feature by clicking the Upload button. If you have already uploaded an image, you can view it by clicking the View link.</P></span>
<span name='help_additonalimage' id='help_additonalimage'><P><strong>Additional Image 1-5: </strong>You can either enter in the path for your image, or you can use the image upload feature by clicking the Upload button. If you have already uploaded an image, you can view it by clicking the View link.</P></span>
<span name='help_imagezoomimagemain' id='help_imagezoomimagemain'><P><strong>Zoom Image: </strong>You can upload the higher resolution image here for the product zoom feature. This image must match the image above however it can be a larger version. This feature is only available in  the Plus and Deluxe Pacs.</P></span>
<span name='help_imagezoomimage' id='help_imagezoomimage'><P><strong>Zoom Image 1-5: </strong>You can upload the higher resolution image here for the product zoom feature. This image must match the image above however it can be a larger version. This feature is only available in  the Plus and Deluxe Pacs</P></span>
<span name='help_price' id='help_price'><P><strong>Price:</strong> The price you are charging for this item. </P></span>
<span name='help_price2to3' id='help_price2to3'><P><strong>Price 2-3:</strong>Unused by VP-ASP. Some of these fields are referenced by advanced functions described throughout the manual.</P></span>
<span name='help_retailprice' id='help_retailprice'><P><strong>Retail Price: </strong>If you want <%=GetLang("langcommonsoftwarename")%> to automatically display a price below the normal price, put a value here. Otherwise it is unused by <%=GetLang("langcommonsoftwarename")%>. </P></span>
<span name='help_stock' id='help_stock'><p><strong>Stock: </strong>How many units of this item you have in stock (numeric). Only used if xstockcontrol = Yes in your Configuration. </p></span>
<span name='help_weight' id='help_weight'><p><strong>Weight: </strong>This is how much the product weighs (numeric). Only used if you have selected a shipping calculation based on weight.</p></span>
<span name='help_taxfree' id='help_taxfree'><p><strong>Tax Free: </strong>If yes, the product is excluded from tax calculations.</p></span>
<span name='help_freeshipping' id='help_freeshipping'><p><strong>Free Shipping: </strong>If yes, the product is excluded from shipping calculations.</p></span>
<span name='help_hide' id='help_hide'><p><strong>Hide: </strong>If set to True, the product will not be displayed on your site.</p></span>
<span name='help_supplierid' id='help_supplierid'><p><strong>Drop Shippers/Suppliers #: </strong>If you are not using <%=GetLang("langcommonsoftwarename")%> Drop Shippers/Suppliers reports, leave this blank. Otherwise it is the Drop Shippers/Suppliers number from the suppliers table.</p></span>
<span name='help_dateavail' id='help_dateavail'><p><strong>Date Available: </strong>Enter the start date of this product id availabity.</p></span>
<span name='help_categories' id='help_categories'><p><strong>Categories: </strong>To add a product to a category, simply select the desired category from the dropdown list and click Add. If you don't want a product to appear in a category that you have previously added it to, click the Delete link next to the category that you want to remove the product from.</p></span>
<span name='help_featurenumbers' id='help_featurenumbers'><p><strong>Feature Numbers: </strong>To select multiple features for this product, select each feature, in the order you want them to display on your site, from the select list.</p></span>
<span name='help_profeatures' id='help_profeatures'><p><strong>Product Features: </strong>To select multiple features for this product, select each feature, in the order you want them to display on your site, from the select list.</p></span>
<span name='help_provariants' id='help_provariants'><p><strong>Product Variants: </strong>To select multiple variants for this product, select each feature, in the order you want them to display on your site, from the select list.</p></span>
<span name='help_selectlist' id='help_selectlist'><p><strong>Select List: </strong>This is used for the selectlist feature display method. Enter each item for the select list, separated by a comma.</p></span>
<span name='help_crosssellingpro' id='help_crosssellingpro'><p><strong>Cross-selling Products: </strong>To select multiple cross-selling items for this product, fill in the keyword to the search box and select from the list. </p></span>
<span name='help_orderbuttonimage' id='help_orderbuttonimage'><p><strong>Order Button Image:</strong> If you are using individual order buttons, you can replace the normal default button on a product by product basis. This is the name of an image file. May include full URL or folder such as <i>../images/button.gif</i> &nbsp; </p></span>
<span name='help_manufacturer' id='help_manufacturer'><p><strong>Manufacturer:</strong> This is the name of the company who manufactures this product. Not used by VP-ASP, but you can add it to your templates, if desired.</p></span> 
<span name='help_frontpage' id='help_frontpage'><p><strong>Front Page:</strong> If you want this product to appear on the front page of your site, enter the same value that is in <strong>x<strong>frontpagevalue </strong></strong>in your configuration in this field. </p></span>
<span name='help_youtubemovielink' id='help_youtubemovielink'><p><strong>Youtube Movie Link:</strong> You will need to enter in format e.g. : http://www.youtube.com/v/<strong>xxxxxxxxxxxx. </strong>Note : <strong>xxxxxxxxxxxx</strong> is your YouTube video ID.</p></span>
<span name='help_movie' id='help_movie'><p><strong>Movie:</strong> The path of the movie (normally .flv or .swf file) that you would like to display at product extend page.</p></span>
<span name='help_minqty' id='help_minqty'><p><strong>Minimum Quantity:</strong> A number in this field means that <%=GetLang("langcommonsoftwarename")%> will either generate a drop down list for quantity using this number as a base or it will not allow customers to order a quantity less than this number, depending on your Configuration settings. If it is the first option, if you put 10 here, then the customer can only buy in multiples of 10. 10,20,30, etc.</p></span>
<span name='help_maxqty' id='help_maxqty'><p><strong>Maximum Quantity: </strong>Customers can only order up to this amount of this product, if you enter a value in this field. </p></span>
<span name='help_other1to5' id='help_other1to5'><p><strong>Other1-5 (pother1-5): </strong>Unused by VP-ASP but you can add information into these fields to reference from your templates. Some of these fields are referenced by advanced functions described throughout this manual.</p></span>
<span name='help_otherfields3to5' id='help_otherfields3to5'><p><strong>Other Fields 3-5 (level 3-5): </strong>Unused by VP-ASP but you can add information into these fields to reference from your templates. Some of these fields are referenced by advanced functions described throughout this manual.</p></span>
<span name='help_specialoffer' id='help_specialoffer'><p><strong>Special Offer: </strong>If something is in this field, VP-ASP sort displays these products first with the information supplied. Otherwise it is unused.</p></span>
<span name='help_allowusertext' id='help_allowusertext'><p><strong>Allow User Text: </strong>This is included for compatibility with older versions of VP-ASP and is now unused.</p></span>
<span name='help_extdesc' id='help_extdesc'><p><strong>Extended Description Page: </strong>Filename or ASP page. <%=GetLang("langcommonsoftwarename")%> will automatically generate a hyperlink back to this page when the product is displayed. It can be a full URL (http://www...) </p></span>
<span name='help_templatefile' id='help_templatefile'><p><strong>Template File: </strong>You can enter a filename for a unique Template to be used for the extended description page for this product. The default is tmp_product.htm.</p></span>
<span name='help_templatelistings' id='help_templatelistings'><p><strong>Template Listing: </strong>You can enter a filneme for a unique Template to be used in the shopdisplayproducts.asp listing for this product.</p></span>
<span name='help_categoriesIDtoCrossSell' id='help_categoriesIDtoCrossSell'><p><strong>Categories ID to Cross-Sell: </strong>Products belong to the specific categories, will be displayed at product extend page.</p></span>
<span name='help_points' id='help_points'><p><strong>Points: </strong>If you have the points systems is enabled, you can specify the number of points customer receives if they purchase the product</p></span>
<span name='help_redeempoints' id='help_redeempoints'><p><strong>Redeem Points: </strong>Currently unused by <%=GetLang("langcommonsoftwarename")%>.</p></span>
<span name='help_userid' id='help_userid'><p><strong>User ID: </strong>The administrative user assigned to the product. If you leave this blank, VP-ASP will automatically add the current logged in administrator. </p></span>
<span name='help_impressions' id='help_impressions'><p><strong>Impressions: </strong>This is how many people have viewed the extended description for this product. </p></span>
<span name='help_dateadd' id='help_dateadd'><p><strong>Date Last Updated/Date Added: </strong>This is the date this product was added and the last time it was updated. </p></span>
<span name='help_inventory' id='help_inventory'><p><strong>Inventory: </strong>This is used for advanced inventory control. </p>
<p>By default, <%=GetLang("langcommonsoftwarename")%> does not control stock by product features. So if you have, for example, large blue shirts and small green shirts, <%=GetLang("langcommonsoftwarename")%> will only keep track of shirts if green large, small etc are defined as features. </p>
<p>This advanced inventory control allows you to specify a list of products associated with the main product in the inventory field of the product. These are called sub products. </p>
<p>These sub products are never seen directly when display products or searching. They are only seen when the main product is shown.</p>
<p>You can add one or more sub-products at a time by entering a number in the text box and then clicking Add Sub Products. </p>
</span>
<span name='help_parentproductid' id='help_parentproductid'><p><strong>Parent Product ID: </strong>If you are editing a sub product, you need to enter the main product's catalog id to be displayed in the main product page.</p></span>
<span name='help_invdisplaytype' id='help_invdisplaytype'><p><strong>Inventory Display Type: </strong>You can change the way that sub-products are shown in the store by selecting an option from this list.</p></span>
<span name='help_hassub' id='help_hassub'><p><strong>Has Sub-Products: </strong>If this is set to No, no sub-products will display even if you have added them in.</p></span>
<span name='help_language' id='help_language'><p><strong>Language: </strong>If you have more than one language on your site, you can add translated versions of your products by clicking the Add New Translation button. </p></span>
<span name='help_discount' id='help_discount'><p><strong>Discount: </strong>If you have xproductgroupdiscount set to Yes in your Configuration, you can group products together to form a group where quantity discount will apply. The group name must match a group in the quantity prices table. When a customer purchases products in the same group, then the discount is applied to all the products based on the rules you have created. </p></span>
<span name='help_attachment' id='help_attachment'><p><strong>Attachment: </strong>If you have xendoforderattachments set to Yes in your Configuration, you can automatically add attachments at the completion of the order. This is the location of the file. It cannot be a URL. It must be a full disk address in form c:\mydirectory\myfile.xxx.</p></span>
<span name='help_download' id='help_download'><p><strong>Download: </strong>If you have xendoforderhyperlinkemail set to Yes in your Configuration, you an automatically generate download hyperlinks at the end of the order. This is the location of the file. It can be any valid filename or URL. If using Secure Downloads feature, a URL will not work - you need to enter a path to the file.</p></span>
<span name='help_overall_selectgroup' id='help_overall_selectgroup'><P><strong>Groups to be included: </strong>Groups to be included from viewing this record</P></span>
<span name='help_overall_selectexgroup' id='help_overall_selectexgroup'><P><strong>Groups to be excluded: </strong>Groups to be excluded from viewing this record</P></span>
<span name='help_overall_onlyregmember' id='help_overall_onlyregmember'><P><strong>Registered Users: </strong>Yes mean only selected users able to access.</P></span>
<span name='help_matchproduct' id='help_matchproduct'><p><strong>Match Product: </strong>If you have xproductmatch set to Yes in your Configuration, you can enter a keyword in here so that customers who are visiting your store through a site with the same keyword in their shop$config.asp file. will see it.</p>
<p>This is so that you can have different sites set up in sub-directories and they can all share the same Database but have different products.</p>
</span>
<span name='help_recbilling' id='help_recbilling'><p><b>Recurring Billing Price: </b>If you have xbilling set to Yes in your Configuration, this is how much should be billed on each interval for this product. </p></span>
<span name='help_recinstalments' id='help_recinstalments'><p><b>Recurring Billing Installments: </b>If you have xbilling set to Yes in your Configuration, this is the number of times a person should be billed for this product.</p></span>
<span name='help_recinstalmenttype' id='help_recinstalmenttype'><p><b>Recurring Billing Installment Type: </b>If you have xbilling set to Yes in your Configuration, this is the installment period (Weekly, Monthly, Yearly, Daily).</p></span>
<span name='help_recinstalmentinterval' id='help_recinstalmentinterval'><p><b>Recurring Billing Installment Interval: </b>If you have xbilling set to Yes in your Configuration, this is a number that says how often to bill. For example if this is &quot;1&quot; and the Installment Type is monthly, then a bill is sent once per month.</p></span>
<span name='help_featuredflag' id='help_featuredflag'><p><strong>Featured Flag:</strong> If you want this product to appear in the featured product listing, set this to Yes. </p></span>
<span name='help_custuploadimage' id='help_custuploadimage'><p><strong>Customer Image: </strong>If you want your customers to be able to upload an image to any order containing this item, set this to Yes.</p></span>
<span name='help_rmadays' id='help_rmadays'><p><strong>RMA Days: </strong>The number of days a customer can submit an RMA request for this item. </p></span>
<span name='help_rmadays' id='help_bundleproidqty'><p><strong>Bundle CatalogID & Qty.: </strong>The series of CatalogID and Qty of bundle.<br />Eg. 1[1],2[3] means 1 Quantity of  Product CatalogID 1 and 3 Quatities of Product CatalogID 2.</p></span>
<span name='help_metatitle' id='help_metatitle'><p><strong>Meta Title : </strong>Meta Title for this product.</p></span>
<span name='help_metakeywords' id='help_metakeywords'><p><strong>Meta Keywords : </strong>Meta Keywords for this product. Eg. Keyword1,Keyword2,Keyword3...</p></span>
<span name='help_metadescription' id='help_metadescription'><p><strong>Meta Keywords : </strong>Meta Description for this product.</p></span>
<span name='help_producttype' id='help_producttype'><p><strong>Product Type : </strong>The type of products. Currently, we have product type, such as Normal, Gift, Download and Bundle.</p></span>
<span name='help_gsmincluded' id='help_gsmincluded'><p><strong>Include in Google Site Map : </strong>Choose Yes to include into Google Site Map Lists.</p></span>
<span name='help_frenquency' id='help_frenquency'><p><strong>Frequency : </strong>How frequently the page is likely to change. This value provides general information to search engines and may not correlate exactly to how often they crawl the page. Valid values are: always, hourly, daily, weekly, monthly, yearly, never.<br /><br />The value "always" should be used to describe documents that change each time they are accessed. The value "never" should be used to describe archived URLs.<br /><br />Please note that the value of this tag is considered a hint and not a command. Even though search engine crawlers may consider this information when making decisions, they may crawl pages marked "hourly" less frequently than that, and they may crawl pages marked "yearly" more frequently than that. Crawlers may periodically crawl pages marked "never" so that they can handle unexpected changes to those pages.</p></span>
<span name='help_priority' id='help_priority'><p><strong>Priority : </strong>The priority of this URL relative to other URLs on your site. Valid values range from 0.0 to 1.0. This value does not affect how your pages are compared to pages on other sites - it only lets the search engines know which pages you deem most important for the crawlers.<br /><br />The default priority of a page is 0.5.<br /><br />Please note that the priority you assign to a page is not likely to influence the position of your URLs in a search engine's result pages. Search engines may use this information when selecting between URLs on the same site, so you can use this tag to increase the likelihood that your most important pages are present in a search index.<br /><br />Also, please note that assigning a high priority to all of the URLs on your site is not likely to help you. Since the priority is relative, it is only used to select between URLs on your site.</p></span>
<% 
   GenerateDisplayBodyFooter
end sub
%>