<%
'*********************************************************************************
' 7.00
' 1 Dec 2009
' customer form routines
'*********************************************************************************

sub DisplayForm()
   '700 - 2010.08.16 - Bug Fix: Possible error if using other checkout tool   
   AddInformationTable
   
   '6.50 - if trying as a new customer, keep new customer flag on
   dim theaction
   if request.QueryString("New") > "" then
      HtmlWrite "<form name=""shipping"" method=""post"" action=""shopcustomer.asp?new=yes"">"
   else
      HtmlWrite "<form name=""shipping"" method=""post"" action=""shopcustomer.asp"">"
   end if

   '700 - 2010.04.22 - cross site script security enhancement
   htmlwrite "<input type=""hidden"" name=""genpredefinedsecuritycode"" value="""& session("genpredefinedsecuritycode") &""" />"

   '700 - 2010.08.16 - Bug Fix: Possible error if using other checkout tool   
   'AddInformationTable

   if GetSess("Login")<>"" and GetSess("Lastname")<>"" then
      AddSubmitButton
   end if
'   if GetConfig("xshippingundercustomer")<>"Yes" then
'      HtmlWrite "<div class=""fl"">" & vbCrLf
'   end if
   ShopCustomerForm
   AddShippingForm
   if GetConfig("xshippingundercustomer")<>"Yes" then
      HtmlWrite "<div class=""cb"">&nbsp;</div>" & vbCrLf
   end if

   ShopDeliveryDate
   ShopDeliveryTime
   AddAffiliate
   ShopWriteHeaderBox GetLang("langCreate06")
   htmlwrite "<fieldset class=""ac"">"
   HtmlWrite "<textarea rows=""3"" name=""shipcomment"" cols=""50"" class=""txtfield"">" & strshipcomment & "</textarea>"
   HtmlWrite "</fieldset>"
   ShopWriteFooterBox "yes"
   AddLicense
   AddGiftCertificate
   AddDiscountCoupon
   AddOptionalStuff
   AddSubmitButton
   AddWebSessForm
   HtmlWrite "</form>"
'   if GetConfig("xshippingundercustomer")<>"Yes" then
'      HtmlWrite "</div>" & vbCrLf
'   end if
end sub

sub AddInformationTable
   HtmlWrite "<p class=""ac"">" & largeinfofont
   if GetSess("Login")="" then
      HtmlWrite GetLang("langCustomerPrompt") & "<br />"
   end if
   if GetConfig("xshippingform")="Yes" or GetConfig("xshippingselection")="Yes" then
      '6.50 - hide this message if purchasing for a registry
      if GetSess(REGISTRANTID)<>"" then
      else
  	     '700 - Free Shipping Products enhancement
         if CheckNonShippingItems=false then
	        ShopWriteHeader GetLang("langShip01")  & "<br />" & GetLang("langShip02")
         end if
      end if
   end if
   HtmlWrite largeinfoend & "</p>"
end sub

sub AddSubmitButton
   '750 - Include captcha
   HtmlWrite "<div class=""std_table std_table_customer ar"">"

   ShopButton GetConfig("xbuttoncontinue"),trim(GetLang("langCommonContinue")),""
   HtmlWrite "</div>"
end sub

'Should affiliate info be generated in form
sub AddAffiliate
   if GetConfig("xaffcustomerform")<>"Yes" then exit sub
   straffid=GetSess("affid")
   if straffid<>"" then
      if isnumeric(straffid) then
         straffid=clng(straffid)
      end if
   end if

   ShopWriteHeaderBox GetLang("LangAff")
   CreateFieldSetRow  GetLang("LangAffID"),"straffid",straffid,"",""
   htmlwrite "<fieldset>"
   HtmlWrite "<label>" & GetLang("langaff") & "</label>"
   GenerateTableV dbc,"affiliates","affid","company","lastname",straffid,"straffid1", "company", GetLang("langcommonselect")
   HtmlWrite "<div class=""cb""></div>"
   HtmlWrite "</fieldset>"
   ShopWriteFooterBox "yes"
end sub

'adds a license url to display
sub AddLicense
   dim blnlicense
   dim licenseurl

   '6.50 - precautionary security fix
   blnlicense=CleanChars(Request.Form("blnlicense"))

   if blnlicense="" then
      blnlicense=GetSess("Licenseagreement")
   end if
   licenseurl=GetConfig("Xlicenseurl")
   if GetConfig("Xlicenseagreement")<>"Yes" then exit sub
   if licenseurl="" then exit sub
   ShopWriteHeaderBox GetLang("langLicenseAgreement")
   htmlwrite "<div align=""center"">"
   HtmlWrite "<iframe src=""" & licenseurl & """ class=""txtfield""></iframe>"
   htmlwrite "</div>"
   htmlwrite "<span>"
   htmlwrite "" & GetLang("langlicenseagreementcheck") & ""
   if blnlicense<>""  then%>
<input type="checkbox" name="blnlicense" value="true" checked="checked" />
<%else%>
<input type="checkbox" name="blnlicense" value="true" />
<%
   end if
   htmlwrite "<div class=""cb""></div>"
   HtmlWrite "</span>"
   ShopWriteFooterBox "yes"
   '6.50 - add flag to order to say customer has agreed to terms
   SetSess "blnlicense", blnlicense
end sub

sub AddGiftCertificate
   if GetConfig("xGiftCertificates")<>"Yes" then exit sub
   '6.50 - hide gift cert option if creating registry
   if GetSess(REGISTRANTID)<>"" then exit sub
   ShopWriteHeaderBox GetLang("langGiftEnter")
   strGiftCertificate=GetSess("GiftCertificate")
   CreateFieldSetRow GetLang("langGiftCertificate"), "strGiftcertificate", strgiftcertificate,"No",""
   ShopWriteFooterBox "yes"
end sub

sub AddDiscountCoupon
   strcoupon=GetSess("coupon")
   if GetConfig("xAllowCoupons")<>"Yes" then exit sub

   '6.50 - hide coupon option if creating registry
   if GetSess(REGISTRANTID)<>"" then exit sub
   ShopWriteHeaderBox GetLang("langCustCouponPrompt")
   CreateFieldSetRow  GetLang("langCouponDiscount"),"strCoupon",strCoupon,"",""
   ShopWriteFooterBox "yes"
end sub

sub AddOptionalStuff
   if GetConfig("xPromptForOptional")="Yes" then
      ShopWriteHeaderBox GetLang("langCust02")
      CreateFieldSetRow GetLang("langCustWebsite"), "strwebsite", strwebsite,"No",""
      CreateFieldSetRow GetLang("langCustWorkphone"), "strWorkphone", strWorkPhone, "No",""
      CreateFieldSetRow GetLang("langCustMobilephone"), "strMobilephone", strMobilePhone, "No",""
      CreateFieldSetRow GetLang("langCustFax"), "strFax", strFax, "No",""
      ShopWriteFooterBox "yes"
   end if
end sub

'6.08 - Address2 is now copied across
'***********************************************************
sub AddCopyAcross%>
<script type="text/javascript" language="javascript">
<!-- Begin Shipping information transfer
var shipFirst = "";
var shipLast = "";
var shipCompany = "";
var shipAddress = "";
var shipCity = "";
var shipState = "";
var shipZip = "";
var shipCountry = "";
<%if GetConfig("xcustomeraddress2") = "Yes" then%>
var shipAddress2 = "";
<%end if%>
function InitSaveVariables(form) {
shipFirst = form.strfirstname.value;
shipLast = form.strlastname.value;
shipCompany = form.strcompany.value;
shipAddress = form.straddress.value;
<%if GetConfig("xcustomeraddress2") = "Yes" then%>
shipAddress2 = form.straddress2.value;
<%end if%>
shipCity = form.strcity.value;
shipZip = form.strpostcode.value;
<%if GetConfig("xpromptforstate") = "Yes" then%>
shipState = form.strstate.value;
<%end if%>
<%if GetConfig("xpromptforcountry") = "Yes" then%>
shipCountry = form.strcountry.value;
<%end if%>
}
function ShipToBillPerson(form) {
if (form.copy.checked) {
InitSaveVariables(form);
form.shipname.value = form.strfirstname.value + " " + form.strlastname.value;
form.shipcompany.value = form.strcompany.value;
form.shipaddress.value = form.straddress.value;
<%if GetConfig("xcustomeraddress2") = "Yes" then%>
form.shipAddress2.value =form.straddress2.value;
<%end if%>
form.shiptown.value = form.strcity.value;
<%if GetConfig("xpromptforstate") = "Yes" then%>
form.shipstate.value = form.strstate.value;
<%end if%>
form.shipzip.value = form.strpostcode.value;
<%if GetConfig("xpromptforcountry") = "Yes" then%>
form.shipcountry.value = form.strcountry.value;
<%end if%>
}
else {
form.shipname.value = "";
form.shipcompany.value = "";
form.shipaddress.value = "";
<%if GetConfig("xcustomeraddress2") = "Yes" then%>
form.shipAddress2.value = "";
<%end if%>
form.shiptown.value = "";
form.shipzip.value = "";
<%if GetConfig("xpromptforstate") = "Yes" then%>
form.shipstate.value = "";
<%end if%>
<%if GetConfig("xpromptforcountry") = "Yes" then%>
form.shipcountry.value = "";
<%end if%>
}
}
// End Shipping info transfer-->
</script>
<script language="javascript" src="js/shopajaxshipping.js" type="text/javascript"></script>
<%
end sub

sub AddSurchargeForm
end sub
%>