<%
'load side box selection form
sub loadselections (containername,containerboxid,htmldivname,mainsidename)
   select case lcase(containername)
      case "empty"
	     genemptytable containerboxid,mainsidename,htmldivname
	  case "minicart"
	     genminicarttable containerboxid,mainsidename,htmldivname
      case "categories"
	     gencategoriestable containerboxid,mainsidename,htmldivname
      case "search"
	     gensearchtable containerboxid,mainsidename,htmldivname
      case "language"
	     genlanguagetable containerboxid,mainsidename,htmldivname
      case "currency"
	     gencurrencytable containerboxid,mainsidename,htmldivname
      case "featuredpros"
	     genfeaturedprostable containerboxid,mainsidename,htmldivname
	  case "topseller"
	     gentopsellertable containerboxid,mainsidename,htmldivname
	  case "page"
	     genpagetable containerboxid,mainsidename,htmldivname
	  case "news"
		 genglobalnewstable containerboxid,mainsidename,htmldivname,"side"
	  case "blogs"
		 genglobalblogstable containerboxid,mainsidename,htmldivname,"side"
	  case "freetext"
	     '700- 2010.04.05 - code enhancement
	     genglobalfreetexttable containerboxid,mainsidename,htmldivname,"side"
      case "freeimage"
	     genglobalfreeimagetable containerboxid,mainsidename,htmldivname,"side"
      '700 - layout manager enhancement - 2010.03.01
      case "freeflash"
	     genglobalfreeflashtable containerboxid,mainsidename,htmldivname,"side"
      '700 - layout manager enhancement - 2010.03.30
	  case "randomproducts"
	     genglobalrandomproductstable containerboxid,mainsidename,htmldivname,"side"
	  '700- 2010.04.05 - twitter
	  case "twitter"
	     genglobaltwittertable containerboxid,mainsidename,htmldivname,"side"

	  case else
	     'debugwrite containername
   end select
end sub

'add side box
sub addsidebox
   '700 - 2010.06.17 - Bug Fix: Layout manager - not able to create new record if creating same components on the row
   resetcontainerboxlastid

   dim sqlrs,strsql,boxcnt,leftorright
   leftorright = cleanchars(request("leftorright"))
   dim donoffstring
   dim tempnamedesc
   boxcnt = 1

   '700 - 2010.05.24 - Enhancement: MsSQL with double bytes (utf8) issues
   '700 - 2010.06.16 - Enhancement: Layout manager - multi-store support
   strsql="select id,otheroptions2,containername,containerdivname,labelfield from containerbox where containerdivname = "& sqlserverprefixn &"'"& leftorright &"' "
   GenLayoutMgrStorematchSQL "and", strsql
   strsql = strsql & "order by otheroptions2 asc"

   Set sqlrs = Server.CreateObject("ADODB.Recordset")
   sqlrs.open strsql, dbc, adopenkeyset, adlockoptimistic
   do while not sqlrs.eof
      donoffstring = getonoff(getotheroptions1 (sqlrs("containerdivname"),"",sqlrs("id")))
	  tempnamedesc = getcontainernamedesc(sqlrs("containername"),sqlrs("containerdivname"))
      htmlwrite "<div id=""hp"& leftorright &""& boxcnt &""" class="""& leftorright &""">"
	  htmlwrite "<div class=""boxtitle""><div style=""float:left;"">"& tempnamedesc &"</div>"& donoffstring &"<div style=""clear:both;""></div></div>"
	  htmlwrite "<div class=""boxfuncdesc"">"
	  htmlwrite "<div>"& sqlrs("labelfield") &"</div>"
	  htmlwrite "<div>ID #" & sqlrs("id") &"</div>"
	  if trim(sqlrs("otheroptions2")) <> "" and isnull(sqlrs("otheroptions2")) = false then htmlwrite "<div>Seq #" & sqlrs("otheroptions2") &"</div>"
	  htmlwrite "<a href=""javascript:expandsidebox('"& sqlrs("id") &"','hp"& leftorright &""& sqlrs("id") &"');"">"& GetLang("LangCommonEdit") &"</a>"
	  htmlwrite "&nbsp;&nbsp;"
	  htmlwrite "<a href=""javascript:deletesidebox('"& sqlrs("id") &"','hp"& leftorright &""& sqlrs("id") &"');"">"& GetLang("langcommondelete") &"</a>"
	  htmlwrite "</div>"
	  htmlwrite "<div id=""hp"& leftorright &""& sqlrs("id") &""" name=""hp"& leftorright &""& sqlrs("id") &""" class=""editbox""></div>"
	  htmlwrite "</div>"
	  boxcnt = boxcnt + 1
	  sqlrs.movenext
   loop
   closerecordset sqlrs
%>
   <div id="hp<%=leftorright%>empty" class="<%=leftorright%>">
      <div class="boxtitle"><%=GetLang("langcommonempty")%></div>
      <div class="boxfuncdesc"><a href="javascript:expandsidebox('empty','hp<%=leftorright%>empty2');"><%=GetLang("LangCommonEdit")%></a></div>
      <div id="hp<%=leftorright%>empty2" name="hp<%=leftorright%>empty2" class="editbox"></div>
   </div>
   <input type="button" class="boxfuncbtn" onclick="javascript:addsidebox('<%=leftorright%>');" value="<%=GetLang("langhpmgraddbox")%>" />
   <div style="clear:both"></div>
<%
end sub

'load side box
sub loadsidebox
   dim containerboxid,htmldivname
   containerboxid = cleanchars(request("id"))
   htmldivname = cleanchars(request("htmldivname"))
   
   dim containername
   
   if lcase(trim(containerboxid)) = "empty" then
      containername = "empty"
   else
      containername = getcontainername(containerboxid)
   end if

   dim divname
   if instr(htmldivname,"leftsidebox") > 0 then
      divname = "leftsidebox"
   else
      divname = "rightsidebox"
   end if
      
   setsess "hpmgrproductlist",""
   setsess "hpmgrcontentcategorylist",""
   loadselections containername,containerboxid,htmldivname,divname
end sub

'save side box
sub savesidebox (containername)
   dim id,otheroptions1,otheroptions2,divname,labelfield,otheroptions3,otheroptions4,otheroptions5,otheroptions6
   dim otheroptions7,otheroptions8,otheroptions9,otheroptions10,otheroptions11,otheroptions12,otheroptions13,otheroptions14
   dim otheroptions15,otheroptions16,otheroptions17,otheroptions18,otheroptions19,otheroptions20,otheroptions21,otheroptions22,otheroptions23,otheroptions24,otheroptions25
   id = request("id")
   
   '700 - 2010.04.08 - get last containerbox id
   if lcase(trim(id)) = "empty" then
      if trim(getsess(containername & "lastid")) <> "" then
	     id = getsess(containername & "lastid")
		 setsess "lastid", ""
	  end if
   end if

   otheroptions1 = request("otheroptions1")
   otheroptions2 = request("otheroptions2")
   otheroptions3 = request("otheroptions3")
   otheroptions5 = request("otheroptions5")
   otheroptions6 = request("otheroptions6")
   otheroptions7 = request("otheroptions7")
   otheroptions8 = request("otheroptions8")
   otheroptions9 = request("otheroptions9")
   otheroptions10 = request("otheroptions10")
   otheroptions11 = request("otheroptions11")
   otheroptions12 = request("otheroptions12")
   otheroptions13 = request("otheroptions13")
   otheroptions14 = request("otheroptions14")
   otheroptions15 = request("otheroptions15")
   otheroptions16 = request("otheroptions16")
   otheroptions17 = request("otheroptions17")
   otheroptions18 = request("otheroptions18")
   otheroptions19 = request("otheroptions19")
   otheroptions20 = request("otheroptions20")
   otheroptions21 = request("otheroptions21")
   otheroptions22 = request("otheroptions22")
   otheroptions23 = request("otheroptions23")
   otheroptions24 = request("otheroptions24")
   otheroptions25 = request("otheroptions25")
   
   '700 - 2010.05.05 - Bug Fix: Layout Manager - JS double bytes issues.
   labelfield = replace(URLDecode(JSURLDecode(request("labelfield"))),"&amp;","&")

   divname = request("divname")

   if lcase(containername) = "freetext" or lcase(containername) = "powerby" then
      '700 - 2010.05.05 - Bug Fix: Layout Manager - JS double bytes issues.
      otheroptions4 = replace(URLDecode(JSURLDecode(request("otheroptions4"))),"&amp;","&")
   else
      otheroptions4 = request("otheroptions4")
   end if
   
   dim resizeimage
   resizeimage = cleanchars(request("resizeimage"))
   
   if lcase(trim(containername)) = "page" then otheroptions4 = getsess("hpmgrcontentcategorylist")
   
   '700 - layout manager enhancement - 2010.03.30
   if lcase(trim(containername)) = "randomproducts" then otheroptions5 = getsess("hpmgrprocategorylist")
   
   if trim(id) = "" then exit sub
   if isnumeric(id) = false and lcase(trim(id)) <> "empty" then exit sub
   
   if lcase(containername) = "freeimage" then
      dim ologowidth,ologoheight
	  
	  if lcase(trim(id)) <> "empty" then
         ologowidth = getotheroptions4 (divname,"",id)
         ologoheight = getotheroptions5 (divname,"",id)
      else
	     ologowidth = 0
		 ologoheight = 0
      end if
      doresizeimage otheroptions3,resizeimage,ologowidth,otheroptions4,ologoheight,otheroptions5
   end if

   dim errmsg
   errmsg = ""
   if lcase(containername) = "featuredpros" then
	  dosavefeaturedpros otheroptions5, otheroptions6, errmsg
   end if
   
   if validcontainerid(id) = true and trim(errmsg) = "" then
      if lcase(containername) = "randomproducts" then
	     'save config table
		 '700 - 2010.05.24 - Enhancement: MsSQL with double bytes (utf8) issues
         sql = ""
         sql = sql & "update "& xconfigtable &" "
         sql = sql & "set fieldvalue = "& sqlserverprefixn &"'"& tosql(otheroptions6,"Text") &"' "
	     sql = sql & "where fieldname = 'xrandomproductlimit' "
  	     dbc.execute (sql)
      end if
   
      'do update
	  '700 - 2010.05.24 - Enhancement: MsSQL with double bytes (utf8) issues
      sql = ""
      sql = sql & "update containerbox "
      sql = sql & "set otheroptions1 = "& sqlserverprefixn &"'"& tosql(otheroptions1,"Text") &"', "

      '700 - 2010.06.16 - Enhancement: Layout manager - multi-store support
      UpdateLayoutMgrStorematchSQL ",", sql

      sql = sql & "otheroptions2 = "& sqlserverprefixn &"'"& tosql(otheroptions2,"Text") &"', "
      sql = sql & "otheroptions3 = "& sqlserverprefixn &"'"& tosql(otheroptions3,"Text") &"', "
      sql = sql & "otheroptions4 = "& sqlserverprefixn &"'"& tosql(otheroptions4,"Text") &"', "
	  sql = sql & "otheroptions5 = "& sqlserverprefixn &"'"& tosql(otheroptions5,"Text") &"', "
	  sql = sql & "otheroptions6 = "& sqlserverprefixn &"'"& tosql(otheroptions6,"Text") &"', "
	  sql = sql & "otheroptions7 = "& sqlserverprefixn &"'"& tosql(otheroptions7,"Text") &"', "
	  sql = sql & "otheroptions8 = "& sqlserverprefixn &"'"& tosql(otheroptions8,"Text") &"', "
	  sql = sql & "otheroptions9 = "& sqlserverprefixn &"'"& tosql(otheroptions9,"Text") &"', "
	  sql = sql & "otheroptions10 = "& sqlserverprefixn &"'"& tosql(otheroptions10,"Text") &"', "
	  sql = sql & "otheroptions11 = "& sqlserverprefixn &"'"& tosql(otheroptions11,"Text") &"', "
	  sql = sql & "otheroptions12 = "& sqlserverprefixn &"'"& tosql(otheroptions12,"Text") &"', "
	  sql = sql & "otheroptions13 = "& sqlserverprefixn &"'"& tosql(otheroptions13,"Text") &"', "
	  sql = sql & "otheroptions14 = "& sqlserverprefixn &"'"& tosql(otheroptions14,"Text") &"', "
	  sql = sql & "otheroptions15 = "& sqlserverprefixn &"'"& tosql(otheroptions15,"Text") &"', "
	  sql = sql & "otheroptions16 = "& sqlserverprefixn &"'"& tosql(otheroptions16,"Text") &"', "
	  sql = sql & "otheroptions17 = "& sqlserverprefixn &"'"& tosql(otheroptions17,"Text") &"', "
	  sql = sql & "otheroptions18 = "& sqlserverprefixn &"'"& tosql(otheroptions18,"Text") &"', "
	  sql = sql & "otheroptions19 = "& sqlserverprefixn &"'"& tosql(otheroptions19,"Text") &"', "
	  sql = sql & "otheroptions20 = "& sqlserverprefixn &"'"& tosql(otheroptions20,"Text") &"', "
	  sql = sql & "otheroptions21 = "& sqlserverprefixn &"'"& tosql(otheroptions21,"Text") &"', "
	  sql = sql & "otheroptions22 = "& sqlserverprefixn &"'"& tosql(otheroptions22,"Text") &"', "
	  sql = sql & "otheroptions23 = "& sqlserverprefixn &"'"& tosql(otheroptions23,"Text") &"', "
	  sql = sql & "otheroptions24 = "& sqlserverprefixn &"'"& tosql(otheroptions24,"Text") &"', "
	  sql = sql & "otheroptions25 = "& sqlserverprefixn &"'"& tosql(otheroptions25,"Text") &"', "
      sql = sql & "containername = "& sqlserverprefixn &"'"& tosql(containername,"Text") &"', "
      sql = sql & "containerdivname = "& sqlserverprefixn &"'"& tosql(divname,"Text") &"', "
      sql = sql & "labelfield = "& sqlserverprefixn &"'"& tosql(labelfield,"Text") &"' "
      sql = sql & "where id = "& id &" "
   else
      'do insert
	  '700 - 2010.05.24 - Enhancement: MsSQL with double bytes (utf8) issues
	  sql = sql & "insert into containerbox (storematch,otheroptions1,otheroptions2,otheroptions3,otheroptions4,otheroptions5,otheroptions6,otheroptions7,otheroptions8,otheroptions9,otheroptions10,otheroptions11,otheroptions12,otheroptions13,otheroptions14,otheroptions15,otheroptions16,otheroptions17,otheroptions18,otheroptions19,otheroptions20,otheroptions21,otheroptions22,otheroptions23,otheroptions24,otheroptions25,containername,containerdivname,labelfield) Values("& sqlserverprefixn &"'"& tosql(currentxshopid,"Text") &"',"& sqlserverprefixn &"'"& tosql(otheroptions1,"Text") &"',"& sqlserverprefixn &"'"& tosql(otheroptions2,"Text") &"',"& sqlserverprefixn &"'"& tosql(otheroptions3,"Text") &"',"& sqlserverprefixn &"'"& tosql(otheroptions4,"Text") &"',"& sqlserverprefixn &"'"& tosql(otheroptions5,"Text") &"',"& sqlserverprefixn &"'"& tosql(otheroptions6,"Text") &"',"& sqlserverprefixn &"'"& tosql(otheroptions7,"Text") &"',"& sqlserverprefixn &"'"& tosql(otheroptions8,"Text") &"',"& sqlserverprefixn &"'"& tosql(otheroptions9,"Text") &"',"& sqlserverprefixn &"'"& tosql(otheroptions10,"Text") &"',"& sqlserverprefixn &"'"& tosql(otheroptions11,"Text") &"',"& sqlserverprefixn &"'"& tosql(otheroptions12,"Text") &"',"& sqlserverprefixn &"'"& tosql(otheroptions13,"Text") &"',"& sqlserverprefixn &"'"& tosql(otheroptions14,"Text") &"',"& sqlserverprefixn &"'"& tosql(otheroptions15,"Text") &"',"& sqlserverprefixn &"'"& tosql(otheroptions16,"Text") &"',"& sqlserverprefixn &"'"& tosql(otheroptions17,"Text") &"',"& sqlserverprefixn &"'"& tosql(otheroptions18,"Text") &"',"& sqlserverprefixn &"'"& tosql(otheroptions19,"Text") &"',"& sqlserverprefixn &"'"& tosql(otheroptions20,"Text") &"',"& sqlserverprefixn &"'"& tosql(otheroptions21,"Text") &"',"& sqlserverprefixn &"'"& tosql(otheroptions22,"Text") &"',"& sqlserverprefixn &"'"& tosql(otheroptions23,"Text") &"',"& sqlserverprefixn &"'"& tosql(otheroptions24,"Text") &"',"& sqlserverprefixn &"'"& tosql(otheroptions25,"Text") &"',"& sqlserverprefixn &"'"& tosql(containername,"Text") &"',"& sqlserverprefixn &"'"& tosql(divname,"Text") &"',"& sqlserverprefixn &"'"& tosql(labelfield,"Text") &"')"
   end if
   dbc.execute (sql)

   if trim(errmsg) = "" then
      '700 - 2010.04.08 - get last containerbox id
      dim lastid
      if lcase(trim(id)) = "empty" then
	     lastid = getlastcontainerboxid
	  else
	     lastid = id
	  end if
	  setsess containername & "lastid", lastid
      response.write getlang("langcontainermodsuccess")
   else
      response.write errmsg
   end if
end sub

'generate side box selection criteria
sub generatemainselection (containername,htmldivname,containerid)
   setsess "hpmgrnewcontainername",""
   dim sectionArray, tempstring,sectioncnt,sectionArrays(999),sectionArrayValue,tempstring2

   'tempstring = UCASE("MiniCart,Categories,Search,Language,Currency,Featured Products,Top Seller,Page,News,Blogs,Free Text,Free Image")
   tempstring = UCASE(sideboxselectionlanguage)
   tempstring2 = UCASE(sideboxselectionboxname)
   parserecord tempstring,sectionArrays,sectioncnt,","
   sectionArray = split(tempstring, ",")
   sectionArrayvalue = split(tempstring2, ",")
   
   dim tempdivname, tempctrdesc
   if instr(htmldivname,"leftsidebox") > 0 then
      tempdivname = "leftsidebox"
   else
      tempdivname = "rightsidebox"
   end if

   if trim(containername) = "" then containername = "-"
   tempctrdesc = getcontainernamedesc(containername,tempdivname)
   if trim(tempctrdesc) = "" then tempctrdesc = "&nbsp;"
%>
      <div class="sectitle"><%=GetLang("langhpmgrcurrentcontainer")%></div>
      <div class="secvaluedesc"><%=tempctrdesc%></div>
      
      <div class="sectitle"><%=GetLang("langhomepagemanagermainselect")%></div>
      <div class="secvaluedesc">
         <%GenerateSelectVHpMgr sectionArray, sectionArrayvalue, ucase(containername), "mainselection", sectioncnt, "SELECT", htmldivname, containerid, "getmaindetails"%>
	  </div>
<%
end sub

'delete side box
sub deletesidebox
   dim containerboxid,htmldivname
   containerboxid = cleanchars(request("id"))
   htmldivname = cleanchars(request("htmldivname"))
   
   dim containername
   
   if lcase(trim(containerboxid)) = "empty" then
      containername = "empty"
   else
      containername = getcontainername(containerboxid)
   end if
   
   if trim(containerboxid) = "" then exit sub
   if isnumeric(containerboxid) = false then exit sub
   
   dim sql
   if validcontainerid(containerboxid) = true then
      'do update
      sql = ""
      sql = sql & "delete from containerbox "
      sql = sql & "where id = "& containerboxid &" "

      '700 - 2010.06.16 - Enhancement: Layout manager - multi-store support
      GenLayoutMgrStorematchSQL "and", sql
   end if
   dbc.execute (sql)

   response.write "Container for "& containername &" deleted successfully!"

   dim divname
   if instr(htmldivname,"leftsidebox") > 0 then
      divname = "leftsidebox"
   else
      divname = "rightsidebox"
   end if
%>
   <div>
   <input name="closecontainer" id="closecontainer" type="button" value="<%=GetLang("langcommonclose")%>" onclick="collapsesideeditbox('<%=htmldivname%>','<%=divname%>');"  >
   </div>
<%
end sub

'get sidebox selection details
sub getmaindetails
   dim newcontainername,id,htmldivname,divname
   
   newcontainername = cleanchars(request("newcontainername"))
   id = cleanchars(request("id"))
   htmldivname = cleanchars(request("divname"))

   if instr(htmldivname,"leftsidebox") > 0 then
      divname = "leftsidebox"
   else
      divname = "rightsidebox"
   end if
   
   setsess "hpmgrnewcontainername",newcontainername
   loadselections newcontainername,id,htmldivname,divname
end sub

'generate empty side box
sub genemptytable(containerid,containerdivname,htmldivname)
   dim prefix,divname

   if trim(getsess("hpmgrnewcontainername")) <> "" then
      generatemainselection getsess("hpmgrnewcontainername"),htmldivname,containerid
   else   
      generatemainselection containername,htmldivname,containerid
   end if
   
   if instr(htmldivname,"leftsidebox") > 0 then
      divname = "leftsidebox"
   else
      divname = "rightsidebox"
   end if
   prefix = divname & "empty"
%>
      <div name="<%=prefix%>containerresult" id="<%=prefix%>containerresult" class="errormsg"></div>
      <div>
         <input name="closecontainer" id="closecontainer" type="button" value="<%=GetLang("langcommonclose")%>" onclick="collapseeditbox('<%=htmldivname%>');"  >
      </div>
<%
end sub

'generate container box bottom section
sub generatesidebottommainfields (prefix,containerid,divname,htmldivname,savetype)
%>
      <div name="<%=prefix%>containerresult" id="<%=prefix%>containerresult" class="errormsg"></div>
      <div>
         <input name="addcontainer" id="addcontainer" type="button" value="<%=GetLang("langsavechagnes")%>" onclick="savesidebar('<%=containerid%>','<%=divname%>','<%=prefix%>','<%=savetype%>');"  >
         &nbsp;&nbsp;<input name="closecontainer" id="closecontainer" type="button" value="<%=GetLang("langcommonclose")%>" onclick="collapsesideeditbox('<%=htmldivname%>','<%=divname%>');"  >
      </div>
<%
end sub

'generate minicart side box
sub genminicarttable(containerid,containerdivname,htmldivname)
   dim mainstatus,containername,labelfield,mainseqno,divname,prefix
   
   mainstatus = getotheroptions (containerdivname,"",containerid,"1")
   mainseqno = getotheroptions (containerdivname,"",containerid,"2")
   containername = getcontainername (containerid)
   labelfield = getlabelfield (containerdivname,"",containerid)
   
   if trim(getsess("hpmgrnewcontainername")) <> "" then
      generatemainselection getsess("hpmgrnewcontainername"),htmldivname,containerid
   else
      generatemainselection containername,htmldivname,containerid
   end if
   
   if instr(htmldivname,"leftsidebox") > 0 then
      divname = "leftsidebox"
   else
      divname = "rightsidebox"
   end if
   prefix = divname & "minicart"
   generatesidetopmainfields prefix,mainstatus,labelfield,mainseqno,"yes",GetLang("langhpmgrlabelfield")
%>
      <input name="<%=prefix%>otheroptions3" id="<%=prefix%>otheroptions3" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions4" id="<%=prefix%>otheroptions4" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions5" id="<%=prefix%>otheroptions5" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions6" id="<%=prefix%>otheroptions6" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions7" id="<%=prefix%>otheroptions7" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions8" id="<%=prefix%>otheroptions8" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions9" id="<%=prefix%>otheroptions9" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions10" id="<%=prefix%>otheroptions10" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions11" id="<%=prefix%>otheroptions11" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions12" id="<%=prefix%>otheroptions12" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions13" id="<%=prefix%>otheroptions13" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions14" id="<%=prefix%>otheroptions14" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions15" id="<%=prefix%>otheroptions15" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions16" id="<%=prefix%>otheroptions16" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions17" id="<%=prefix%>otheroptions17" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions18" id="<%=prefix%>otheroptions18" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions19" id="<%=prefix%>otheroptions19" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions20" id="<%=prefix%>otheroptions20" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions21" id="<%=prefix%>otheroptions21" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions22" id="<%=prefix%>otheroptions22" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions23" id="<%=prefix%>otheroptions23" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions24" id="<%=prefix%>otheroptions24" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions25" id="<%=prefix%>otheroptions25" type="hidden" value="" />
      <input name="<%=prefix%>resizeimage" id="<%=prefix%>resizeimage" type="hidden" value="no" />
<%
   generatesidebottommainfields prefix,containerid,divname,htmldivname,"savesideminicart"
end sub

'geenrate side box categories
sub gencategoriestable(containerid,containerdivname,htmldivname)
   dim prefix
   dim mainstatus,containername,labelfield,mainseqno,divname,categoriesstyled
   mainstatus = getotheroptions (containerdivname,"",containerid,"1")
   mainseqno = getotheroptions (containerdivname,"",containerid,"2")
   containername = getcontainername (containerid)
   labelfield = getlabelfield (containerdivname,"",containerid)
   categoriesstyled = getotheroptions (containerdivname,"",containerid,"3")

   if trim(getsess("hpmgrnewcontainername")) <> "" then
      generatemainselection getsess("hpmgrnewcontainername"),htmldivname,containerid
   else   
      generatemainselection containername,htmldivname,containerid
   end if
   
   if instr(htmldivname,"leftsidebox") > 0 then
      divname = "leftsidebox"
   else
      divname = "rightsidebox"
   end if
   prefix = divname & "categories"
   generatesidetopmainfields prefix,mainstatus,labelfield,mainseqno,"yes",GetLang("langhpmgrlabelfield")
%>
      <div class="sectitle"><%=GetLang("langhpmgrcategorystyle")%></div>
      <div class="secvaluedesc">
         <select size="1" class="txtfielddropdown" name="<%=prefix%>otheroptions3" id="<%=prefix%>otheroptions3" onclick="clearresult('<%=prefix%>containerresult');" >
         <option value=""><%=GetLang("langgpfnone")%></option>
<!--         <option value="Yes" <%if lcase(categoriesstyled)="yes" then response.write "selected"%>><%=GetLang("LangCommonYes")%></option>
         <option value="No" <%if lcase(categoriesstyled)<>"yes" then response.write "selected"%>><%=GetLang("LangCommonNo")%></option>
-->      
         <option value="dropdown" <%if lcase(categoriesstyled)="dropdown" then response.write "selected"%>><%=GetLang("langcommondropdown")%></option>   
         <option value="flyout" <%if lcase(categoriesstyled)="flyout" then response.write "selected"%>><%=GetLang("langcommonflyout")%></option>   
         </select>
      </div>
      <input name="<%=prefix%>otheroptions4" id="<%=prefix%>otheroptions4" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions5" id="<%=prefix%>otheroptions5" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions6" id="<%=prefix%>otheroptions6" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions7" id="<%=prefix%>otheroptions7" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions8" id="<%=prefix%>otheroptions8" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions9" id="<%=prefix%>otheroptions9" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions10" id="<%=prefix%>otheroptions10" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions11" id="<%=prefix%>otheroptions11" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions12" id="<%=prefix%>otheroptions12" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions13" id="<%=prefix%>otheroptions13" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions14" id="<%=prefix%>otheroptions14" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions15" id="<%=prefix%>otheroptions15" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions16" id="<%=prefix%>otheroptions16" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions17" id="<%=prefix%>otheroptions17" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions18" id="<%=prefix%>otheroptions18" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions19" id="<%=prefix%>otheroptions19" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions20" id="<%=prefix%>otheroptions20" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions21" id="<%=prefix%>otheroptions21" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions22" id="<%=prefix%>otheroptions22" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions23" id="<%=prefix%>otheroptions23" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions24" id="<%=prefix%>otheroptions24" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions25" id="<%=prefix%>otheroptions25" type="hidden" value="" />
      <input name="<%=prefix%>resizeimage" id="<%=prefix%>resizeimage" type="hidden" value="no" />
<%
   generatesidebottommainfields prefix,containerid,divname,htmldivname,"savesidecategories"
end sub

sub gensearchtable(containerid,containerdivname,htmldivname)
   dim prefix
   dim mainstatus,containername,labelfield,mainseqno,divname,advancedlink
   mainstatus = getotheroptions (containerdivname,"",containerid,"1")
   mainseqno = getotheroptions (containerdivname,"",containerid,"2")
   containername = getcontainername (containerid)
   labelfield = getlabelfield (containerdivname,"",containerid)
   advancedlink = getotheroptions (containerdivname,"",containerid,"3")

   if trim(getsess("hpmgrnewcontainername")) <> "" then
      generatemainselection getsess("hpmgrnewcontainername"),htmldivname,containerid
   else   
      generatemainselection containername,htmldivname,containerid
   end if
   
   if instr(htmldivname,"leftsidebox") > 0 then
      divname = "leftsidebox"
   else
      divname = "rightsidebox"
   end if
   prefix = divname & "search"
   generatesidetopmainfields prefix,mainstatus,labelfield,mainseqno,"yes",GetLang("langhpmgrlabelfield")
%>
      <div class="sectitle"><%=GetLang("langhpmgradvancesearchlink")%></div>
      <div class="secvaluedesc">
         <select size="1" class="txtfielddropdown" name="<%=prefix%>otheroptions3" id="<%=prefix%>otheroptions3" onclick="clearresult('<%=prefix%>containerresult');" >
         <option value="">-- <%=GetLang("LangCommonSelect")%> --</option>
         <option value="Yes" <%if lcase(advancedlink)="yes" then response.write "selected"%>><%=GetLang("LangCommonYes")%></option>
         <option value="No" <%if lcase(advancedlink)<>"yes" then response.write "selected"%>><%=GetLang("LangCommonNo")%></option>
         </select>
      </div>
      <input name="<%=prefix%>otheroptions4" id="<%=prefix%>otheroptions4" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions5" id="<%=prefix%>otheroptions5" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions6" id="<%=prefix%>otheroptions6" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions7" id="<%=prefix%>otheroptions7" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions8" id="<%=prefix%>otheroptions8" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions9" id="<%=prefix%>otheroptions9" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions10" id="<%=prefix%>otheroptions10" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions11" id="<%=prefix%>otheroptions11" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions12" id="<%=prefix%>otheroptions12" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions13" id="<%=prefix%>otheroptions13" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions14" id="<%=prefix%>otheroptions14" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions15" id="<%=prefix%>otheroptions15" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions16" id="<%=prefix%>otheroptions16" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions17" id="<%=prefix%>otheroptions17" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions18" id="<%=prefix%>otheroptions18" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions19" id="<%=prefix%>otheroptions19" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions20" id="<%=prefix%>otheroptions20" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions21" id="<%=prefix%>otheroptions21" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions22" id="<%=prefix%>otheroptions22" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions23" id="<%=prefix%>otheroptions23" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions24" id="<%=prefix%>otheroptions24" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions25" id="<%=prefix%>otheroptions25" type="hidden" value="" />
      <input name="<%=prefix%>resizeimage" id="<%=prefix%>resizeimage" type="hidden" value="no" />
<%
   generatesidebottommainfields prefix,containerid,divname,htmldivname,"savesidesearch"
end sub

sub genlanguagetable(containerid,containerdivname,htmldivname)
   dim prefix
   dim mainstatus,containername,labelfield,mainseqno,divname,advancedlink
   mainstatus = getotheroptions (containerdivname,"",containerid,"1")
   mainseqno = getotheroptions (containerdivname,"",containerid,"2")
   containername = getcontainername (containerid)
   labelfield = getlabelfield (containerdivname,"",containerid)

   if trim(getsess("hpmgrnewcontainername")) <> "" then
      generatemainselection getsess("hpmgrnewcontainername"),htmldivname,containerid
   else   
      generatemainselection containername,htmldivname,containerid
   end if
   
   if instr(htmldivname,"leftsidebox") > 0 then
      divname = "leftsidebox"
   else
      divname = "rightsidebox"
   end if
   prefix = divname & "language"
   generatesidetopmainfields prefix,mainstatus,labelfield,mainseqno,"yes",GetLang("langhpmgrlabelfield")
%>
      <input name="<%=prefix%>otheroptions3" id="<%=prefix%>otheroptions3" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions4" id="<%=prefix%>otheroptions4" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions5" id="<%=prefix%>otheroptions5" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions6" id="<%=prefix%>otheroptions6" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions7" id="<%=prefix%>otheroptions7" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions8" id="<%=prefix%>otheroptions8" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions9" id="<%=prefix%>otheroptions9" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions10" id="<%=prefix%>otheroptions10" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions11" id="<%=prefix%>otheroptions11" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions12" id="<%=prefix%>otheroptions12" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions13" id="<%=prefix%>otheroptions13" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions14" id="<%=prefix%>otheroptions14" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions15" id="<%=prefix%>otheroptions15" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions16" id="<%=prefix%>otheroptions16" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions17" id="<%=prefix%>otheroptions17" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions18" id="<%=prefix%>otheroptions18" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions19" id="<%=prefix%>otheroptions19" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions20" id="<%=prefix%>otheroptions20" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions21" id="<%=prefix%>otheroptions21" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions22" id="<%=prefix%>otheroptions22" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions23" id="<%=prefix%>otheroptions23" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions24" id="<%=prefix%>otheroptions24" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions25" id="<%=prefix%>otheroptions25" type="hidden" value="" />
      <input name="<%=prefix%>resizeimage" id="<%=prefix%>resizeimage" type="hidden" value="no" />
<%
   generatesidebottommainfields prefix,containerid,divname,htmldivname,"savesidelanguage"
end sub

sub gencurrencytable(containerid,containerdivname,htmldivname)
   dim prefix
   dim mainstatus,containername,labelfield,mainseqno,divname,showflag,showdropdown
   mainstatus = getotheroptions (containerdivname,"",containerid,"1")
   mainseqno = getotheroptions (containerdivname,"",containerid,"2")
   containername = getcontainername (containerid)
   labelfield = getlabelfield (containerdivname,"",containerid)
   showflag = getotheroptions (containerdivname,"",containerid,"3")
   showdropdown = getotheroptions (containerdivname,"",containerid,"4")

   if trim(getsess("hpmgrnewcontainername")) <> "" then
      generatemainselection getsess("hpmgrnewcontainername"),htmldivname,containerid
   else   
      generatemainselection containername,htmldivname,containerid
   end if
   
   if instr(htmldivname,"leftsidebox") > 0 then
      divname = "leftsidebox"
   else
      divname = "rightsidebox"
   end if
   prefix = divname & "currency"
   generatesidetopmainfields prefix,mainstatus,labelfield,mainseqno,"yes",GetLang("langhpmgrlabelfield")
%>
      <div class="sectitle"><%=GetLang("langhpmgrcurshowflag")%></div>
      <div class="secvaluedesc">
         <select size="1" class="txtfielddropdown" name="<%=prefix%>otheroptions3" id="<%=prefix%>otheroptions3" onclick="clearresult('<%=prefix%>containerresult');" >
         <option value="">-- <%=GetLang("LangCommonSelect")%> --</option>
         <option value="Yes" <%if lcase(showflag)="yes" then response.write "selected"%>><%=GetLang("LangCommonYes")%></option>
         <option value="No" <%if lcase(showflag)<>"yes" then response.write "selected"%>><%=GetLang("LangCommonNo")%></option>
         </select>
      </div>

      <div class="sectitle"><%=GetLang("langhpmgrcurshowdropdown")%></div>
      <div class="secvaluedesc">
         <select size="1" class="txtfielddropdown" name="<%=prefix%>otheroptions4" id="<%=prefix%>otheroptions4" onclick="clearresult('<%=prefix%>containerresult');" >
         <option value="">-- <%=GetLang("LangCommonSelect")%> --</option>
         <option value="Yes" <%if lcase(showdropdown)="yes" then response.write "selected"%>><%=GetLang("LangCommonYes")%></option>
         <option value="No" <%if lcase(showdropdown)<>"yes" then response.write "selected"%>><%=GetLang("LangCommonNo")%></option>
         </select>
      </div>
      
      <input name="<%=prefix%>otheroptions5" id="<%=prefix%>otheroptions5" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions6" id="<%=prefix%>otheroptions6" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions7" id="<%=prefix%>otheroptions7" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions8" id="<%=prefix%>otheroptions8" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions9" id="<%=prefix%>otheroptions9" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions10" id="<%=prefix%>otheroptions10" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions11" id="<%=prefix%>otheroptions11" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions12" id="<%=prefix%>otheroptions12" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions13" id="<%=prefix%>otheroptions13" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions14" id="<%=prefix%>otheroptions14" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions15" id="<%=prefix%>otheroptions15" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions16" id="<%=prefix%>otheroptions16" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions17" id="<%=prefix%>otheroptions17" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions18" id="<%=prefix%>otheroptions18" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions19" id="<%=prefix%>otheroptions19" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions20" id="<%=prefix%>otheroptions20" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions21" id="<%=prefix%>otheroptions21" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions22" id="<%=prefix%>otheroptions22" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions23" id="<%=prefix%>otheroptions23" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions24" id="<%=prefix%>otheroptions24" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions25" id="<%=prefix%>otheroptions25" type="hidden" value="" />
      <input name="<%=prefix%>resizeimage" id="<%=prefix%>resizeimage" type="hidden" value="no" />
<%
   generatesidebottommainfields prefix,containerid,divname,htmldivname,"savesidecurrency"
end sub

sub gentopsellertable(containerid,containerdivname,htmldivname)
   dim prefix
   dim mainstatus,containername,labelfield,mainseqno,divname,howmanytimes,slideshow
   
   mainstatus = getotheroptions (containerdivname,"",containerid,"1")
   mainseqno = getotheroptions (containerdivname,"",containerid,"2")
   containername = getcontainername (containerid)
   labelfield = getlabelfield (containerdivname,"",containerid)
   howmanytimes = getotheroptions (containerdivname,"",containerid,"3")
   slideshow = getotheroptions (containerdivname,"",containerid,"4")
   
   if trim(getsess("hpmgrnewcontainername")) <> "" then
      generatemainselection getsess("hpmgrnewcontainername"),htmldivname,containerid
   else   
      generatemainselection containername,htmldivname,containerid
   end if
   
   if instr(htmldivname,"leftsidebox") > 0 then
      divname = "leftsidebox"
   else
      divname = "rightsidebox"
   end if
   prefix = divname & "topseller"
   generatesidetopmainfields prefix,mainstatus,labelfield,mainseqno,"yes",GetLang("langhpmgrlabelfield")
%>
      <div class="sectitle"><%=GetLang("langhpmgrhowmanyitems")%></div>
      <div class="secvaluedesc">
         <input name="<%=prefix%>otheroptions3" id="<%=prefix%>otheroptions3" type="text" size="30" maxlength="100" value="<%=howmanytimes%>" onclick="clearresult('<%=prefix%>containerresult');">
      </div>

      <div class="sectitle"><%=GetLang("langhpmgrslideshow")%></div>
      <div class="secvaluedesc">
         <select size="1" class="txtfielddropdown" name="<%=prefix%>otheroptions4" id="<%=prefix%>otheroptions4" onclick="clearresult('<%=prefix%>containerresult');" >
         <option value="">-- <%=GetLang("LangCommonSelect")%> --</option>
         <option value="Yes" <%if lcase(slideshow)="yes" then response.write "selected"%>><%=GetLang("LangCommonYes")%></option>
         <option value="No" <%if lcase(slideshow)<>"yes" then response.write "selected"%>><%=GetLang("LangCommonNo")%></option>
         </select>
      </div>

      <input name="<%=prefix%>otheroptions5" id="<%=prefix%>otheroptions5" type="hidden" value="" />      
      <input name="<%=prefix%>otheroptions6" id="<%=prefix%>otheroptions6" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions7" id="<%=prefix%>otheroptions7" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions8" id="<%=prefix%>otheroptions8" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions9" id="<%=prefix%>otheroptions9" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions10" id="<%=prefix%>otheroptions10" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions11" id="<%=prefix%>otheroptions11" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions12" id="<%=prefix%>otheroptions12" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions13" id="<%=prefix%>otheroptions13" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions14" id="<%=prefix%>otheroptions14" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions15" id="<%=prefix%>otheroptions15" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions16" id="<%=prefix%>otheroptions16" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions17" id="<%=prefix%>otheroptions17" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions18" id="<%=prefix%>otheroptions18" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions19" id="<%=prefix%>otheroptions19" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions20" id="<%=prefix%>otheroptions20" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions21" id="<%=prefix%>otheroptions21" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions22" id="<%=prefix%>otheroptions22" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions23" id="<%=prefix%>otheroptions23" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions24" id="<%=prefix%>otheroptions24" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions25" id="<%=prefix%>otheroptions25" type="hidden" value="" />
      <input name="<%=prefix%>resizeimage" id="<%=prefix%>resizeimage" type="hidden" value="no" />
<%
   generatesidebottommainfields prefix,containerid,divname,htmldivname,"savesidetopseller"
end sub

sub genfeaturedprostable(containerid,containerdivname,htmldivname)
   dim prefix
   dim mainstatus,containername,labelfield,mainseqno,divname,slideshow,searchvalue
   
   '700 - layout manager enhancement - 2010.03.30
   dim featureflagfieldname,featuredflagorderfieldname

   mainstatus = getotheroptions (containerdivname,"",containerid,"1")
   mainseqno = getotheroptions (containerdivname,"",containerid,"2")
   containername = getcontainername (containerid)
   labelfield = getlabelfield (containerdivname,"",containerid)
   slideshow = getotheroptions (containerdivname,"",containerid,"3")
   
   '701 - 2011.03.08 - Bug Fix: layout manager - edit from free text to featured products throwing error
   searchvalue = ""

   '700 - layout manager enhancement - 2010.03.30
   featureflagfieldname = getotheroptions (containerdivname,"",containerid,"5")
   featuredflagorderfieldname = getotheroptions (containerdivname,"",containerid,"6")
   
   '701 - 2011.03.08 - Bug Fix: layout manager - edit from free text to featured products throwing error
   if lcase(featureflagfieldname) = "yes" or lcase(featureflagfieldname) = "no" then featureflagfieldname = ""
   if lcase(featuredflagorderfieldname) = "yes" or lcase(featuredflagorderfieldname) = "no" then featuredflagorderfieldname = ""
   
   if lcase(containerid) <> "empty" then
      if trim(featureflagfieldname) = "" or isnull(featureflagfieldname) then featureflagfieldname = "featuredflag"
      if trim(featuredflagorderfieldname) = "" or isnull(featuredflagorderfieldname) then featuredflagorderfieldname = "featuredflagorder"
      setsess "hpmgrproductlist",getfeaturedcatalogids (featureflagfieldname, featuredflagorderfieldname)
   end if

   if trim(getsess("hpmgrnewcontainername")) <> "" then
      generatemainselection getsess("hpmgrnewcontainername"),htmldivname,containerid
   else   
      generatemainselection containername,htmldivname,containerid
   end if
   
   if instr(htmldivname,"leftsidebox") > 0 then
      divname = "leftsidebox"
   else
      divname = "rightsidebox"
   end if
   prefix = divname & "featuredpros"
   generatesidetopmainfields prefix,mainstatus,labelfield,mainseqno,"yes",GetLang("langhpmgrlabelfield")
%>
      <div class="sectitle"><%=GetLang("langhpmgrslideshow")%></div>
      <div class="secvaluedesc">
         <select size="1" class="txtfielddropdown" name="<%=prefix%>otheroptions3" id="<%=prefix%>otheroptions3" onclick="clearresult('<%=prefix%>containerresult');" >
         <option value="">-- <%=GetLang("LangCommonSelect")%> --</option>
         <option value="Yes" <%if lcase(slideshow)="yes" then response.write "selected"%>><%=GetLang("LangCommonYes")%></option>
         <option value="No" <%if lcase(slideshow)<>"yes" then response.write "selected"%>><%=GetLang("LangCommonNo")%></option>
         </select>
      </div>

<%
      '700 - layout manager enhancement - 2010.03.30
%>
      <div class="sectitle"><%=getlang("langhpmgrflagfield")%></div>
      <div class="secvaluedesc">
         <input name="<%=prefix%>otheroptions5" id="<%=prefix%>otheroptions5" type="text" size="30" maxlength="255" value="<%=featureflagfieldname%>" onclick="clearresult('<%=prefix%>containerresult');" >
      </div>

      <div class="sectitle"><%=getlang("langhpmgrsortfield")%></div>
      <div class="secvaluedesc">
         <input name="<%=prefix%>otheroptions6" id="<%=prefix%>otheroptions6" type="text" size="30" maxlength="255" value="<%=featuredflagorderfieldname%>" onclick="clearresult('<%=prefix%>containerresult');" >
      </div>

      <input name="<%=prefix%>otheroptions4" id="<%=prefix%>otheroptions4" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions7" id="<%=prefix%>otheroptions7" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions8" id="<%=prefix%>otheroptions8" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions9" id="<%=prefix%>otheroptions9" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions10" id="<%=prefix%>otheroptions10" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions11" id="<%=prefix%>otheroptions11" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions12" id="<%=prefix%>otheroptions12" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions13" id="<%=prefix%>otheroptions13" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions14" id="<%=prefix%>otheroptions14" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions15" id="<%=prefix%>otheroptions15" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions16" id="<%=prefix%>otheroptions16" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions17" id="<%=prefix%>otheroptions17" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions18" id="<%=prefix%>otheroptions18" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions19" id="<%=prefix%>otheroptions19" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions20" id="<%=prefix%>otheroptions20" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions21" id="<%=prefix%>otheroptions21" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions22" id="<%=prefix%>otheroptions22" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions23" id="<%=prefix%>otheroptions23" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions24" id="<%=prefix%>otheroptions24" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions25" id="<%=prefix%>otheroptions25" type="hidden" value="" />
      <input name="<%=prefix%>resizeimage" id="<%=prefix%>resizeimage" type="hidden" value="no" />
      
      <div class="sectitle"><%=GetLang("langhpmgrsearchproduct")%></div>
      <div class="secvaluedesc">
         <input onkeyup="gethpmgrproductcode(this.value,'<%=prefix%>searchresult','<%=prefix%>')" name="<%=prefix%>searchfields" id="<%=prefix%>searchfields" type="text" size="30" maxlength="100" value="<%=searchvalue%>" onclick="clearresult('<%=prefix%>containerresult');">
         <div class="searchresults" name="<%=prefix%>searchresult" id="<%=prefix%>searchresult"></div>
         <div name="<%=prefix%>productlists" id="<%=prefix%>productlists"><%loadproductlist prefix%></div>
      </div>
<%
   generatesidebottommainfields prefix,containerid,divname,htmldivname,"savesidefeaturedpros"
end sub

sub genpagetable(containerid,containerdivname,htmldivname)
   dim prefix
   dim mainstatus,containername,labelfield,mainseqno,divname,howmanytimes,searchvalue,ids
   
   mainstatus = getotheroptions (containerdivname,"",containerid,"1")
   mainseqno = getotheroptions (containerdivname,"",containerid,"2")
   containername = getcontainername (containerid)
   labelfield = getlabelfield (containerdivname,"",containerid)
   howmanytimes = getotheroptions (containerdivname,"",containerid,"3")
   ids = getotheroptions (containerdivname,"",containerid,"4")
   'searchvalue = getotheroptions (containerdivname,"",containerid,"4")
   searchvalue = ""
   setsess "hpmgrcontentcategorylist",ids

   if trim(getsess("hpmgrnewcontainername")) <> "" then
      generatemainselection getsess("hpmgrnewcontainername"),htmldivname,containerid
   else   
      generatemainselection containername,htmldivname,containerid
   end if
   
   if instr(htmldivname,"leftsidebox") > 0 then
      divname = "leftsidebox"
   else
      divname = "rightsidebox"
   end if
   prefix = divname & "page"
   generatesidetopmainfields prefix,mainstatus,labelfield,mainseqno,"no",GetLang("langhpmgrlabelfield")
%>
      <div class="sectitle"><%=GetLang("langhpmgrhowmanyitems")%></div>
      <div class="secvaluedesc">
         <input name="<%=prefix%>otheroptions3" id="<%=prefix%>otheroptions3" type="text" size="30" maxlength="100" value="<%=howmanytimes%>" onclick="clearresult('<%=prefix%>containerresult');">
      </div>
      
      <input name="<%=prefix%>otheroptions4" id="<%=prefix%>otheroptions4" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions5" id="<%=prefix%>otheroptions5" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions6" id="<%=prefix%>otheroptions6" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions7" id="<%=prefix%>otheroptions7" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions8" id="<%=prefix%>otheroptions8" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions9" id="<%=prefix%>otheroptions9" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions10" id="<%=prefix%>otheroptions10" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions11" id="<%=prefix%>otheroptions11" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions12" id="<%=prefix%>otheroptions12" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions13" id="<%=prefix%>otheroptions13" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions14" id="<%=prefix%>otheroptions14" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions15" id="<%=prefix%>otheroptions15" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions16" id="<%=prefix%>otheroptions16" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions17" id="<%=prefix%>otheroptions17" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions18" id="<%=prefix%>otheroptions18" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions19" id="<%=prefix%>otheroptions19" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions20" id="<%=prefix%>otheroptions20" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions21" id="<%=prefix%>otheroptions21" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions22" id="<%=prefix%>otheroptions22" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions23" id="<%=prefix%>otheroptions23" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions24" id="<%=prefix%>otheroptions24" type="hidden" value="" />
      <input name="<%=prefix%>otheroptions25" id="<%=prefix%>otheroptions25" type="hidden" value="" />
      <input name="<%=prefix%>resizeimage" id="<%=prefix%>resizeimage" type="hidden" value="no" />
      
      <div class="sectitle"><%=GetLang("langhpmgrsearchcategory")%></div>
      <div class="secvaluedesc">
         <input onkeyup="getpagecategorycode(this.value,'<%=prefix%>searchresult','<%=prefix%>')" name="<%=prefix%>searchfields" id="<%=prefix%>searchfields" type="text" size="30" maxlength="100" value="<%=searchvalue%>" onclick="clearresult('<%=prefix%>containerresult');">
         <div class="searchresults" name="<%=prefix%>searchresult" id="<%=prefix%>searchresult"></div>
         <div name="<%=prefix%>productlists" id="<%=prefix%>productlists"><%loadcontentcategorylist prefix%></div>
      </div>
      <div class="secvaluenotes"><%=getlang("langhpmgrcolcontentdesc")%></div>
<%
   generatesidebottommainfields prefix,containerid,divname,htmldivname,"savesidepage"
end sub

sub loadcontentcategorylist (prefix)
   dim procategorylist,rst,ssql

   procategorylist = getsess("hpmgrcontentcategorylist")
   if len(procategorylist) > 0 then
      dim procategorylists(9999),procategorylistcnt,icnt
	  parserecord procategorylist,procategorylists,procategorylistcnt,","

      dim rowcolor, bgcolor
      rowcolor = 0
      for icnt = 0 to (procategorylistcnt-1)
         if rowcolor = 0 then
            bgcolor = ""
            rowcolor = 1
         else
            bgcolor = "bgcolor='#cccccc'"
            rowcolor = 0
         end if
		 
		 '701 - 2011.03.08 - Bug Fix: layout manager - edit from free text to content link throwing error
		 if trim(procategorylists(icnt)) <> "" and isnumeric(procategorylists(icnt)) then
		 
         set rst=server.CreateObject("adodb.recordset")
         sSQL = "SELECT distinct ncatdescription,ncategoryid FROM contentcategories where ncategoryid = "& procategorylists(icnt) &""
         OpenRecordSet dbc, rst, sSQL
         if not rst.eof Then
            rst.movefirst
	        HtmlWrite "<table>"
            do while not rst.eof
	           HtmlWrite "<tr "& bgcolor &">"
		       HtmlWrite "<td width='50'>"& rst("ncategoryid") &"</td>"
		       HtmlWrite "<td width='150'>"& rst("ncatdescription") &"</td>"
		       HtmlWrite "<td width='60'><img class='imagelink' onclick=""removecontentcategory("& rst("ncategoryid") &",'"& prefix &"')"" border='0' src='images/remove.gif'></td>"
			   'HtmlWrite "<td width='60'><img class='imagelink' onclick=""moveupcontentcategory("& rst("ncategoryid") &",'"& prefix &"')"" border='0' src='images/go_up.gif'></td>"
			   'HtmlWrite "<td><img class='imagelink' onclick=""movedowncontentcategory("& rst("ncategoryid") &",'"& prefix &"')"" border='0' src='images/go_down.gif'></td>"
		       HtmlWrite "</tr>"
	           rst.movenext
	        loop
	        HtmlWrite "</table>"
         end If
         set rst = nothing
		 
		 '701 - 2011.03.08 - Bug Fix: layout manager - edit from free text to content link throwing error
		 else
		    setsess "hpmgrcontentcategorylist", ""
		 end if
		 
      next
   end if
end sub

sub loadproductlist (prefix)
   dim productlist,rst,ssql

   productlist = getsess("hpmgrproductlist")
   if len(productlist) > 0 then
      dim productlists(9999),productlistcnt,icnt
	  parserecord productlist,productlists,productlistcnt,","

      dim rowcolor, bgcolor
      rowcolor = 0
      for icnt = 0 to (productlistcnt-1)
         if rowcolor = 0 then
            bgcolor = ""
            rowcolor = 1
         else
            bgcolor = "bgcolor='#cccccc'"
            rowcolor = 0
         end if
         set rst=server.CreateObject("adodb.recordset")
         sSQL = "SELECT distinct cname,catalogID FROM products where catalogid = "& productlists(icnt) &""
         OpenRecordSet dbc, rst, sSQL
         if not rst.eof Then
            rst.movefirst
	        HtmlWrite "<table>"
            do while not rst.eof
	           HtmlWrite "<tr "& bgcolor &">"
		       HtmlWrite "<td width='50'>"& rst("catalogid") &"</td>"
		       HtmlWrite "<td width='150'>"& rst("cname") &"</td>"
		       HtmlWrite "<td width='60'><img class='imagelink' onclick=""removeproduct("& rst("catalogid") &",'"& prefix &"')"" border='0' src='images/remove.gif'></td>"
			   HtmlWrite "<td width='60'><img class='imagelink' onclick=""moveupproduct("& rst("catalogid") &",'"& prefix &"')"" border='0' src='images/go_up.gif'></td>"
			   HtmlWrite "<td><img class='imagelink' onclick=""movedowproduct("& rst("catalogid") &",'"& prefix &"')"" border='0' src='images/go_down.gif'></td>"
		       HtmlWrite "</tr>"
	           rst.movenext
	        loop
	        HtmlWrite "</table>"
         end If
         set rst = nothing
      next
   end if
end sub

'700 - layout manager enhancement - 2010.03.30 - save featured products with specify featuredflag & featuredflagorder field name
sub dosavefeaturedpros (featureflagfieldname, featureflagorderfieldname, errmsg)
   dim sql,idsstr
  
   idsstr = getsess("hpmgrproductlist")
   if trim(idsstr) = "" then exit sub
   
   if trim(featureflagfieldname) = "" then featureflagfieldname = "featuredflag"
   if trim(featureflagorderfieldname) = "" then featureflagorderfieldname = "featuredflagorder"

   dim productlists(9999),productlistcnt,icnt
   parserecord idsstr,productlists,productlistcnt,","
   
   on error resume next
   'do update
   sql = "update products "
   if instr(ucase(xdatabasetype), "MYSQL") > 0 or instr(ucase(xdatabasetype), "SQLSERVER") > 0 then
      sql = sql & " set "& featureflagfieldname &" = 0 "
	  sql = sql & " where "& featureflagfieldname &" = 1 "
   else
      sql = sql & " set "& featureflagfieldname &" = FALSE "
	  sql = sql & " where "& featureflagfieldname &" = TRUE "
   end if
   dbc.execute (sql)
   for icnt = 0 to (productlistcnt - 1)
      sql = "update products "
      if instr(ucase(xdatabasetype), "MYSQL") > 0 or instr(ucase(xdatabasetype), "SQLSERVER") > 0 then
         sql = sql & " set "& featureflagfieldname &" = 1, "
      else
         sql = sql & " set "& featureflagfieldname &" = TRUE, "
      end if
	  sql = sql & " "& featureflagorderfieldname &" = "& icnt &" "
	  sql = sql & " where catalogid = "& productlists(icnt) &" "
      dbc.execute (sql)
   next
   
   errmsg = ""
   if err.number <> 0 then
      errmsg = "Please make sure "& featureflagfieldname &" and "& featureflagorderfieldname &" both are created at products table."
      err.clear
   end if
end sub

'700 - layout manager enhancement - 2010.03.30 - get feature products catalogids
function getfeaturedcatalogids (featureflagname,featureflagordername)
   dim sqlrs,strsql,tempstring,tempcnt

   tempstring = ""
   tempcnt = 1
   strsql = "select catalogid from products where "
   if instr(ucase(xdatabasetype), "MYSQL") > 0 or instr(ucase(xdatabasetype), "SQLSERVER") > 0 then
      strsql = strsql & " "& featureflagname &" = 1 "
   else
      strsql = strsql & " "& featureflagname &" = TRUE "
   end if
   strsql = strsql & " order by "& featureflagordername &" asc "
   Set sqlrs = Server.CreateObject("ADODB.Recordset")
   sqlrs.open strsql, dbc, adopenkeyset, adlockoptimistic
   if sqlrs.eof then
   else
      while not sqlrs.eof
	     tempstring = tempstring & sqlrs("catalogid") & ","
         tempcnt = tempcnt + 1
	     sqlrs.movenext
	  wend
   end if
   closerecordset sqlrs
   if tempcnt > 1 then
      tempstring = mid(tempstring,1,len(tempstring)-1)
   end if
   getfeaturedcatalogids = tempstring
end function
%>